Doomsday Engine - Bug #974

[Heretic] No map def for E4M1
2011-11-14 09:07 - vermil

Status: Closed Start date: 2011-11-14
Priority: Low % Done: 100%
Assignee: skyjake

Category: Vanilla emulation

Target version: 2.1 (Late 2018)

Description

While | don't have the original version of Heretic to confirm, the non- SOTR version of Heretic comes with an E4M1.
This map was moved to E6M3 in SOTR.
The way Dday's map def's are set up currently doesn't allow access to this map.

Labels: Heretic

Associated revisions

Revision 6609febd - 2018-11-22 18:44 - skyjake
Heretic: Added MAPINFO for E4M1 (Heretic Registered)

IssuelD #974

History

#1 - 2011-11-14 11:06 - danij

- labels: jHeretic Gameplay --> Heretic
- milestone: -->v1.8.5

#2 - 2013-10-05 03:15 - vermil

Yeah, upon reflection, | forgot that Dday has a default map def it uses for maps with no specific def assigned.

Still, would be cool if somehow this map could get a proper def in Dday.

#3 - 2016-08-09 10:25 - skyjake
- Target version deleted (1.8.6)

#4 - 2017-04-03 14:55 - skyjake
- Tags set to Heretic, Definitions

- Target version set to Modding

#5 - 2018-11-20 20:54 - Drako

There is a diff file to downgrade heretic.wad from version 1.3 t0 1.2
https://github.com/Doom-Utils/iwad-patches/tree/master/heretic.wad

#6 - 2018-11-20 21:08 - skyjake
- Category set to Vanilla emulation
- Assignee set to skyjake

- Target version changed from Modding to 2.1 (Late 2018)

Should be simple enough to fix this.

#7 - 2018-11-22 03:37 - Drako

Actually downgrading the WAD will not help as WADs do not contain MAPINFO. According to https://doomwiki.org/wiki/E6M3_(Heretic) and
https://gamefags.gamespot.com/pc/562682-heretic/faqs/36537 the title of this map is American Legacy. It seems that the MAPINFO for this E4M1 in
v1.2 is the same as for EBM3 in v1.3 (SOTR).
#8 - 2018-11-22 18:44 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#9 - 2018-11-24 01:41 - Drako

- File Heretic1.0e4m1automap.jpg added
- File Heretic1.0episodemenu.jpg added

- File Heretic1.0exitascii.jpg added

- File Heretic1.0loadingscreen.jpg added
- File Heretic1.0menu.jpg added

- File Heretic1.0skillmenu.jpg added

- File Heretic1.0startscreen.jpg added

- File Heretic1.2loadingscreen.jpg added

It is possible to downgrade heretic 1.3 to 1.0 https://www.doomworld.com/idgames/utils/exe edit/herdwngr and then patch it to version 1.2
https://doomwiki.org/wiki/Game_patch .
It turns out that there is no title for map edm1 in automap EDOSBOX 0.74-2, Cpu speed: max 100% cycles, Frameskip 0, Program: HERETIC X

in both versions 1.0 and 1.2. Also there is no trace of the title in heretic.exe.
It seems that the only way to reach that map is by using the cheat code "engage41". | attach several screenshots from version 1.0.

#10 - 2018-11-25 15:53 - skyjake
Are you suggesting the title should be removed?
The title "American's Legacy" is an unofficial one, but | think it's appropriate to include it for E4M1.

#11 - 2018-11-25 18:56 - Drako

| agree with you, it should be included. However, if there is ever going to be a "pure vanilla option" that title should not be displayed.

#12 - 2018-12-06 12:14 - skyjake

- Status changed from Resolved to Closed

Files

Heretic1.0e4m1automap.jpg 112 KB 2018-11-24 Drako
Heretic1.0episodemenu.jpg 103 KB 2018-11-24 Drako
Heretic1.0exitascii.jpg 148 KB 2018-11-24 Drako
Heretic1.0menu.jpg 110 KB 2018-11-24 Drako
Heretic1.0loadingscreen.jpg 58.3 KB 2018-11-24 Drako
Heretic1.0skillmenu.jpg 138 KB 2018-11-24 Drako
Heretic1.0startscreen.jpg 86.2 KB 2018-11-24 Drako
Heretic1.2loadingscreen.jpg 156 KB 2018-11-24 Drako
